# Innovation Club

# WMU Innovation Club

##### A modern take on innovation in the university space.

Get Started

## flash_on

##### Ideation

Founded on the principles of design thinking, the Innovation Club promotes the idea of fast failure. By creating and testing many ideas, students quickly learn from mistakes and pivot their ideas.

## group

##### Collaboration

By using our extensive network of skilled peers, we are able to connect students with the people and resources they need to accomplish their innovative ideas!

## settings

##### Innovation

Innovation Club provides an open space filled with materials and cutting edge technology to support the creation of students new and unique ideas.